CVE-2024-0520

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-0520
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-0520.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-0520
Aliases
Published
2024-06-06T19:15:51Z
Modified
2024-06-08T01:15:41.793701Z
Summary
[none]
Details

A vulnerability in mlflow/mlflow version 8.2.1 allows for remote code execution due to improper neutralization of special elements used in an OS command ('Command Injection') within the mlflow.data.http_dataset_source.py module. Specifically, when loading a dataset from a source URL with an HTTP scheme, the filename extracted from the Content-Disposition header or the URL path is used to generate the final file path without proper sanitization. This flaw enables an attacker to control the file path fully by utilizing path traversal or absolute path techniques, such as '../../tmp/poc.txt' or '/tmp/poc.txt', leading to arbitrary file write. Exploiting this vulnerability could allow a malicious user to execute commands on the vulnerable machine, potentially gaining access to data and model information. The issue is fixed in version 2.9.0.

References

Affected packages

Git / github.com/mlflow/mlflow

Affected ranges

Type
GIT
Repo
https://github.com/mlflow/mlflow
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

1.*

1.0.0

v0.*

v0.2.0
v0.2.1
v0.3.0
v0.4.0
v0.4.1
v0.4.2
v0.5.0
v0.6.0
v0.7
v0.8.0
v0.8.1

v1.*

v1.7.0

v2.*

v2.2.0